> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> Returns the paginated list of products in your store.

**app\_id** `string` *required*

Your store ID in Jelou Shop.

**limit** `integer` (default: 15)

Number of products per page (max. 200).

**page** `integer` (default: 1)

Page number to query.

**include** `string`

Relations to include, comma-separated. Available: `media`, `categories`, `attributes`, `prices`, `variations`, `variations.media`, `variations.productAttributes`, `attributeTypes`, `featureValues`.

> [!NOTE]
>
> This endpoint does **not** filter, search or sort. To apply filters (`price`, `has_tax`, `categories.id`, `created_at`), search by `name`/`sku`, sort, use scopes or export to XLSX, use the [Search products](https://docs.jelou.ai/en/api/shop/products/search.md) endpoint.

## Response fields

Each product in `data` contains the following fields:

| Field | Type | Description |
| - | - | - |
| `id` | string | Product UUID |
| `sku` | string | Unique product identifier |
| `name` | string | Product name |
| `description` | string | Product description |
| `price` | number | Product price |
| `price_without_tax` | number | Price without taxes |
| `tax` | string | Tax amount |
| `has_tax` | boolean | Whether the product has taxes |
| `discount_type` | string \| null | Discount type: `"value"` or `"percentage"` |
| `discount` | string \| null | Discount value |
| `status` | boolean | Whether the product is active |
| `type` | string | Product type (e.g., `"physical_product"`) |
| `stock_type` | string | Stock type: `"limited"` or `"unlimited"` |
| `stock_value` | number | Available stock quantity |
| `branch_id` | string \| null | UUID of the assigned branch |
| `modifier_groups` | array | Product modifier groups |
| `media` | array | Product images (always included) |
| `stock_mutations` | array | Stock movements (always included) |
| `created_at` | string | Creation date |
| `updated_at` | string | Last update date |

The response includes pagination in the `links` and `meta` objects:

| Field | Description |
| - | - |
| `meta.current_page` | Current page |
| `meta.last_page` | Last available page |
| `meta.per_page` | Products per page |
| `meta.total` | Total number of products |
| `links.next` | URL of the next page |
| `links.prev` | URL of the previous page |

```bash cURL theme={null}
curl "https://gateway.jelou.ai/ecommerce/v2/apps/{app_id}/products?limit=15" \
  -H "x-api-key: YOUR_API_KEY"
```

```json 200 Success theme={null}
{
  "data": [
    {
      "id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
      "sku": "MM-0002",
      "name": "3 in 1 Cloth Book Set",
      "description": "Set of 3 soft cloth books ideal for babies.",
      "price": 50,
      "price_without_tax": 50,
      "tax": "0.00",
      "has_tax": true,
      "discount_type": null,
      "discount": null,
      "status": true,
      "type": "physical_product",
      "stock_type": "limited",
      "stock_value": 0,
      "branch_id": null,
      "modifier_groups": [],
      "media": [
        {
          "id": 120,
          "collection_name": "images",
          "file_name": "cloth-book-set.jpg",
          "mime_type": "image/jpeg",
          "size": 84213,
          "custom_properties": { "source_url": "https://my-store.com/img/cloth-book-set.jpg" },
          "order_column": 1,
          "original_url": "https://cdn.jelou.ai/.../cloth-book-set.jpg",
          "created_at": "2026-02-27T02:24:33.000000Z",
          "updated_at": "2026-02-27T02:24:33.000000Z"
        }
      ],
      "stock_mutations": [
        {
          "id": 1,
          "stockable_type": "App\\Models\\Product",
          "stockable_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
          "reference_type": null,
          "reference_id": null,
          "amount": 50,
          "description": null,
          "temporal": false,
          "created_at": "2026-02-27T02:24:33.000000Z",
          "updated_at": "2026-02-27T02:24:33.000000Z"
        }
      ],
      "created_at": "2026-02-27T02:24:33.000000Z",
      "updated_at": "2026-02-27T02:34:44.000000Z"
    },
    {
      "id": "c09b6094-5b0a-4c6a-b24c-4f4c42e83295",
      "sku": "MM-0003",
      "name": "3 In 1 Play Mat - Pet's Party",
      "description": "3-in-1 play mat with a pet party theme.",
      "price": 5,
      "price_without_tax": 5,
      "tax": "0.00",
      "has_tax": true,
      "discount_type": "percentage",
      "discount": "20.00",
      "status": true,
      "type": "physical_product",
      "stock_type": "limited",
      "stock_value": 0,
      "branch_id": null,
      "modifier_groups": [],
      "media": [],
      "stock_mutations": [],
      "created_at": "2026-02-27T02:24:33.000000Z",
      "updated_at": "2026-02-27T02:34:45.000000Z"
    }
  ],
  "links": {
    "first": "https://gateway.jelou.ai/ecommerce/v2/apps/{app_id}/products?page=1",
    "last": "https://gateway.jelou.ai/ecommerce/v2/apps/{app_id}/products?page=19",
    "prev": null,
    "next": "https://gateway.jelou.ai/ecommerce/v2/apps/{app_id}/products?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 19,
    "per_page": 15,
    "to": 15,
    "total": 276
  }
}
```

> [!NOTE]
>
> Replace `{app_id}` with your store ID and `YOUR_API_KEY` with your [API key](https://docs.jelou.ai/en/guides/settings/api-keys.md).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.